unit Unit1; 

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, FileUtil, Forms, Controls, Graphics, Dialogs, EditBtn,
  TAGraph, TATransformations, TASeries, TASources;

type

  { TForm1 }

  TForm1 = class(TForm)
    Chart1: TChart;
    Chart1LineSeries1: TLineSeries;
    DateEdit1: TDateEdit;
    DateEdit2: TDateEdit;
    DTCS1: TDateTimeIntervalChartSource;
    procedure DateEdit1Change(Sender: TObject);
    procedure FormShow(Sender: TObject);
  private
    { private declarations }
    procedure SetGraph();
  public
    { public declarations }
  end; 

var
  Form1: TForm1; 

implementation

{$R *.lfm}

{ TForm1 }

procedure TForm1.SetGraph();
begin
  //showmessage(FloatToStr(DateEdit2.Date-DateEdit1.Date));
  with Chart1.Extent do
      begin
        UseXMin:=false;
        UseYMin:=false;
        UseXMax:=false;
        UseYMax:=false;
        XMin:=DateEdit1.Date;
        //showmessage('Min: '+DateToStr(XMin));
        XMax:=DateEdit2.Date;
        //showmessage('Max: '+DateToStr(XMax));
        YMin:=0;
        YMax:=100;
        UseXMin:=true;
        UseYMin:=true;
        //showmessage('UseXMin');
        UseXMax:=true;
        //showmessage('UseXMax');
        UseYMax:=true;
      end;
end;

procedure TForm1.FormShow(Sender: TObject);
begin
  DateEdit1.Text:=FormatDateTime('dd.mm.yyyy',now()-60);
  DateEdit2.Text:=FormatDateTime('dd.mm.yyyy',now());
end;

procedure TForm1.DateEdit1Change(Sender: TObject);
begin
  SetGraph();
end;

end.

